org.apache.fop.fo.properties

## Class BorderWidthPropertyMaker

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.properties.LengthProperty.Maker
    - - org.apache.fop.fo.properties.BorderWidthPropertyMaker

All Implemented Interfaces:
  Cloneable

    public class BorderWidthPropertyMaker
    extends LengthProperty.Maker

This subclass of LengthProperty.Maker handles the special treatment of border width described in 7.7.20.

### Field Summary

### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

### Constructor Summary

Constructors
Constructor and Description
`BorderWidthPropertyMaker(int propId)` Create a length property which check the value of the border-*-style property and return a length of 0 when the style is "none".

### Method Summary

All Methods Instance Methods Concrete Methods
`Property` `get(int subpropId, PropertyList propertyList, boolean bTryInherit, boolean bTryDefault)` Check the value of the style property and return a length of 0 when the style is NONE.
`void` `setBorderStyleId(int borderStyleId)` Set the propId of the style property for the same side.

### Methods inherited from class org.apache.fop.fo.properties.LengthProperty.Maker

`convertProperty`

### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

`addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BorderWidthPropertyMaker

    public BorderWidthPropertyMaker(int propId)

Create a length property which check the value of the border-*-style property and return a length of 0 when the style is "none".

Parameters:
  `propId` - the border-*-width of the property.

### Method Detail

#### setBorderStyleId

    public void setBorderStyleId(int borderStyleId)

Set the propId of the style property for the same side.

Parameters:
  `borderStyleId` - the border style id

#### get

    public Property get(int subpropId,
                        PropertyList propertyList,
                        boolean bTryInherit,
                        boolean bTryDefault)
                 throws PropertyException

Check the value of the style property and return a length of 0 when the style is NONE. Return the property on the current FlowObject. Depending on the passed flags, this will try to compute it based on other properties, or if it is inheritable, to return the inherited value. If all else fails, it returns the default value.

Overrides:
  `get` in class `PropertyMaker`
Parameters:
  `subpropId` - The subproperty id of the property being retrieved. Is 0 when retrieving a base property.
  `propertyList` - The PropertyList object being built for this FO.
  `bTryInherit` - true if inherited properties should be examined.
  `bTryDefault` - true if the default value should be returned.
Returns:
  the property value
Throws:
  `PropertyException` - if there is a problem evaluating the property